Subject: RE: WG Last Call:draft-ietf-smime-rcek-01.txt

From: Russ Housley <[email-masked]>
Date: Tue, 20 Feb 2001 14:39:11 -0500

Byte reversal seems okay to me.

Russ

At 09:58 AM 2/19/2001 +0000, William Whyte wrote:
> > >William suggests byte reversal instead, which seems ok from both
>perspectives.
> >
> > Okay.  So, since bitwise-NOT and bit-reversal both have shortcomings, what
>
> > are you going to use as the mandatory to implement transform?
>
>As Stephen says, I've suggested byte reversal. In fact, what I
>would most like to see as the mandatory to implement transform
>is X9.63 key derivation (the key derivation function referred
>to as KDF2 in IEEE P1363a), but to the best of my knowledge there's
>no stable, freely-available description of this that we could
>reference. If anyone fancied writing it up as an RFC that'd
>be very nice...
>
>(I have to say I'm uncomfortable with the hacky use of PKCS#5
>here. But at least PKCS#5 is referenceable).
>
>Cheers,
>
>William
>
>
>-----------------------------------------------------------------------------
>Baltimore Technologies plc will not be liable for direct,  special,  indirect
>or consequential  damages  arising  from  alteration of  the contents of this
>message by a third party or as a result of any virus being passed on.
>
>In addition, certain Marketing collateral may be added from time to time to
>promote Baltimore Technologies products, services, Global e-Security or
>appearance at trade shows and conferences.
>
>This footnote confirms that this email message has been swept by
>Baltimore MIMEsweeper for Content Security threats, including
>computer viruses.
>    http://www.baltimore.com

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 21 Feb 2001 14:37:45 +0000

> Byte reversal seems okay to me.

I agree. If there's a substantive reason to change, then ok,
but I don't believe there is.

Stephen.

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com